aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--doc/msec.spec5
-rwxr-xr-xinit-sh/file_perm.sh4
-rwxr-xr-xinit-sh/level1.sh7
-rwxr-xr-xinit-sh/level2.sh8
-rw-r--r--init-sh/lib.sh12
5 files changed, 27 insertions, 9 deletions
diff --git a/doc/msec.spec b/doc/msec.spec
index 5bbbfdf..e216329 100644
--- a/doc/msec.spec
+++ b/doc/msec.spec
@@ -1,7 +1,7 @@
Summary: Security Level & Program for the Linux Mandrake distribution
Name: msec
Version: 0.4
-Release: 3mdk
+Release: 4mdk
Source: ftp://mandrakesoft.com/pub/yoann/msec-0.4.tar.gz
Copyright: GPL
Group: System Environment/Base
@@ -49,6 +49,9 @@ rm -rf $RPM_BUILD_ROOT
%changelog
* Wed Dec 1 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
+- Minor fix
+
+* Wed Dec 1 1999 Yoann Vandoorselaere <yoann@mandrakesoft.com>
- We now preserve config file implementation.
- Minor fix to lib.sh
- export profile variable...
diff --git a/init-sh/file_perm.sh b/init-sh/file_perm.sh
index 9f76791..be834b7 100755
--- a/init-sh/file_perm.sh
+++ b/init-sh/file_perm.sh
@@ -3,6 +3,8 @@
IFS="
"
+echo -n "Setting files permissions : "
+
for line in `cat /$1`; do
file=`echo ${line} | awk '{print $1}'`
owner=`echo ${line} | awk '{print $2}'`
@@ -15,5 +17,7 @@ for line in `cat /$1`; do
chmod ${perm} ${file}
fi
done
+
+echo "done."
diff --git a/init-sh/level1.sh b/init-sh/level1.sh
index 8654fb2..7980fa0 100755
--- a/init-sh/level1.sh
+++ b/init-sh/level1.sh
@@ -64,8 +64,11 @@ AddRules "PATH=\$PATH:/usr/X11R6/bin:." /etc/profile quiet
AddRules "export PATH SECURE_LEVEL" /etc/profile
# Group
-echo "Adding \"${USERNAME} to audio group :"
-usermod -G audio "${USERNAME}"
+echo -n "Adding \"${USERS_DRAKX}\" to audio group :"
+for user in ${USERS_DRAKX}; do
+ usermod -G audio "${user}"
+done
+echo "done."
diff --git a/init-sh/level2.sh b/init-sh/level2.sh
index 896673c..4ac487f 100755
--- a/init-sh/level2.sh
+++ b/init-sh/level2.sh
@@ -63,6 +63,8 @@ echo "Adding \"normal\" PATH variable :"
AddRules "PATH=\$PATH:/usr/X11R6/bin" /etc/profile quiet
AddRules "export PATH SECURE_LEVEL" /etc/profile
# Group
-echo "Adding \"${USERNAME} to audio group :"
-usermod -G audio "${USERNAME}"
-
+echo -n "Adding \"${USERS_DRAKX}\" to audio group :"
+for user in ${USERS_DRAKX}; do
+ usermod -G audio "${user}"
+done
+echo "done." \ No newline at end of file
diff --git a/init-sh/lib.sh b/init-sh/lib.sh
index 499e81e..ec5e2dd 100644
--- a/init-sh/lib.sh
+++ b/init-sh/lib.sh
@@ -23,7 +23,6 @@ if [ -f /etc/security/msec/security.conf ]; then
. /etc/security/msec/security.conf
fi
-USERNAME="blah"
COMMENT="# Mandrake-Security : if you remove this comment, remove the next line too."
WaitAnswer() {
@@ -177,8 +176,15 @@ groupadd audio >& /dev/null
groupadd xgrp >& /dev/null
usermod -G xgrp xfs
-if ! /etc/security/msec/init-sh/grpuser --del audio "${USERNAME}"; then
- echo "Problem removing user \"${USERNAME}\" from group audio."
+# We aren't at install time,
+# so we delete ( temporarily ) audio user.
+
+if [ ! -f /tmp/secure.DrakX ]; then
+ for user in ${USERS_DRAKX}; do
+ if ! /etc/security/msec/init-sh/grpuser --del audio "${user}"; then
+ echo "Problem removing user \"${user}\" from group audio."
+ fi
+ done
fi